package org.nl.acs.device_driver.yinfei.hj1;

import org.nl.acs.device.device_driver.standard_inspect.ItemDto;
import org.nl.acs.device.domain.Device;
import org.nl.acs.device.enums.DeviceType;
import org.nl.acs.device_driver.DeviceDriver;
import org.nl.acs.device_driver.defination.OpcDeviceDriverDefination;
import org.springframework.stereotype.Service;

import java.util.LinkedList;
import java.util.List;

/**
 * hj01驱动定义
 * 说明：该站点为桁架1驱动
 */
@Service
public class Hj1ControlDefination implements OpcDeviceDriverDefination {
    @Override
    public String getDriverCode() {
        return "hj1";
    }

    @Override
    public String getDriverName() {
        return "桁架1对接位";
    }

    @Override
    public String getDriverDescription() {
        return "桁架1对接位";
    }

    @Override
    public DeviceDriver getDriverInstance(Device device) {
        return (new Hj1DeviceDriver()).setDevice(device).setDriverDefination(this);
    }

    @Override
    public Class<? extends DeviceDriver> getDeviceDriverType() {
        return Hj1DeviceDriver.class;
    }

    @Override
    public List<DeviceType> getFitDeviceTypes() {
        List<DeviceType> types = new LinkedList();
        types.add(DeviceType.conveyor);
        return types;
    }

    @Override
    public List<ItemDto> getReadableItemDtos() {
        return ItemProtocol.getReadableItemDtos();
    }


    @Override
    public List<ItemDto> getWriteableItemDtos() {
        return ItemProtocol.getWriteableItemDtos();
    }

}
